﻿using Xamarin.Forms;
using System;
using Syncfusion.SfCalendar.XForms;
namespace SfCalendarSample
{
	public partial class SfCalendarSamplePage : ContentPage
	{
        public SfCalendarSamplePage()
        {
            InitializeComponent();
            SfCalendar calendar = new SfCalendar();
            CalendarInlineEvent event1 = new CalendarInlineEvent() { Subject = "Meeting with Clara", StartTime = DateTime.Now, EndTime = DateTime.Now, Color = Color.Red };
            CalendarInlineEvent event2 = new CalendarInlineEvent() { Subject = "Goto meeting", StartTime = DateTime.Now.AddDays(1), EndTime = DateTime.Now.AddDays(1), Color = Color.Orange };
            CalendarInlineEvent event3 = new CalendarInlineEvent() { Subject = "Testing the product", StartTime = DateTime.Now.AddDays(2), EndTime = DateTime.Now.AddDays(2), Color = Color.Green };
            CalendarInlineEvent event4 = new CalendarInlineEvent() { Subject = "Meeting with Clara", StartTime = DateTime.Now.AddDays(-1), EndTime = DateTime.Now.AddDays(-1), Color = Color.DeepPink };
            CalendarInlineEvent event5 = new CalendarInlineEvent() { Subject = "Meeting with James", StartTime = DateTime.Now.AddDays(-2), EndTime = DateTime.Now.AddDays(-2), Color = Color.Brown };
            CalendarEventCollection coll = new CalendarEventCollection();
            coll.Add(event1);
            coll.Add(event2);
            coll.Add(event3);
            coll.Add(event4);
            coll.Add(event5);
            calendar.DataSource = coll;
            MonthViewSettings mvs = new MonthViewSettings() { InlineBackgroundColor = Color.Black,InlineTextColor=Color.White};
            calendar.MonthViewSettings = mvs;
            calendar.ShowInlineEvents = true;
			calendar.ShowNavigationButtons = true;
			Content = calendar;
		}


    }
}
